Update a card | Moov Documentation
Update a card
Update a linked card and/or resubmit it for verification.
If a value is provided for CVV, a new verification ($0 authorization) will be submitted for the card. Updating the expiration date or address will update the information stored on file for the card but will not be verified.
Read our accept card payments guide to learn more.
Only use this endpoint if you have provided Moov with a copy of your PCI attestation of compliance.
To access this endpoint using an access token you'll need to specify the /accounts/{accountID}/cards.write scope.
PATCH
/accounts/{accountID}/cards/{cardID}
Ask
curl -X PATCH "https://api.moov.io/accounts/{accountID}/cards/{cardID}" \
-H "Authorization: Bearer {token}" \
-H "X-Moov-Version: v2026.07.00" \
-d '{
"cardCvv": "456"
}'
Ask
mc, _ := moov.NewClient()
var accountID string
var cardID string
mc.UpdateCard(ctx, accountID, cardID,
moov.WithCardOnFile(true),
)
Ask
import { Moov } from "@moovio/sdk";
const moov = new Moov({
security: {
username: "",
password: "",
},
});
async function run() {
const result = await moov.cards.update({
accountID: "7104688e-8434-482e-9556-4784be3ad3fe",
cardID: "01234567-89ab-cdef-0123-456789abcdef",
updateCard: {
cardCvv: "456",
},
});
console.log(result);
}
run();
Ask
declare(strict_types=1);
require 'vendor/autoload.php';
use Moov\